Manifest-Version: 1.0
Bnd-LastModified: 1612381833127
Bundle-ManifestVersion: 2
Bundle-Name: Liferay SAML Web
Bundle-SymbolicName: com.liferay.saml.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.39
Created-By: 1.8.0_221 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype,com.liferay.application.
 list;version="[2.1,3)",com.liferay.expando.kernel.model;version="[3.3
 ,4)",com.liferay.frontend.taglib.clay.servlet.taglib.util;version="[3
 .6,4)",com.liferay.osgi.util;version="[2.3,3)",com.liferay.petra.stri
 ng;version="[1.4,2)",com.liferay.portal.configuration.metatype.annota
 tions;version="[1.3,2)",com.liferay.portal.configuration.metatype.bnd
 .util;version="[2.0,3)",com.liferay.portal.kernel.annotation;version=
 "[7.0,8)",com.liferay.portal.kernel.dao.search;version="[8.0,9)",com.
 liferay.portal.kernel.exception;version="[9.3,10)",com.liferay.portal
 .kernel.json;version="[8.7,9)",com.liferay.portal.kernel.language;ver
 sion="[8.3,9)",com.liferay.portal.kernel.lock;version="[7.3,8)",com.l
 iferay.portal.kernel.log;version="[7.0,8)",com.liferay.portal.kernel.
 model;version="[5.6,6)",com.liferay.portal.kernel.portlet;version="[1
 0.2,11)",com.liferay.portal.kernel.portlet.bridges.mvc;version="[3.0,
 4)",com.liferay.portal.kernel.repository.capabilities;version="[2.0,3
 )",com.liferay.portal.kernel.repository.model;version="[8.0,9)",com.l
 iferay.portal.kernel.resource.bundle;version="[1.0,2)",com.liferay.po
 rtal.kernel.security.auth;version="[2.4,3)",com.liferay.portal.kernel
 .security.permission;version="[3.4,4)",com.liferay.portal.kernel.serv
 ice;version="[4.8,5)",com.liferay.portal.kernel.servlet;version="[8.4
 ,9)",com.liferay.portal.kernel.servlet.taglib;version="[7.0,8)",com.l
 iferay.portal.kernel.struts;version="[8.0,9)",com.liferay.portal.kern
 el.theme;version="[3.1,4)",com.liferay.portal.kernel.upgrade;version=
 "[8.5,9)",com.liferay.portal.kernel.upload;version="[8.1,9)",com.life
 ray.portal.kernel.util;version="[10.16,11)",com.liferay.portal.upgrad
 e.registry;version="[3.0,4)",com.liferay.saml.constants;version="[2.4
 ,3)",com.liferay.saml.persistence.exception;version="[1.0,2)",com.lif
 eray.saml.persistence.model;version="[2.2,3)",com.liferay.saml.persis
 tence.service;version="[2.2,3)",com.liferay.saml.runtime;version="[1.
 0,2)",com.liferay.saml.runtime.certificate;version="[1.0,2)",com.life
 ray.saml.runtime.configuration;version="[4.0,5)",com.liferay.saml.run
 time.exception;version="[1.1,2)",com.liferay.saml.runtime.metadata;ve
 rsion="[2.0,3)",com.liferay.saml.runtime.servlet.profile;version="[1.
 0,2)",com.liferay.saml.util;version="[2.1,3)",com.liferay.taglib.sear
 ch;version="[2.0,3)",com.liferay.upload;version="[1.1,2)",javax.portl
 et,javax.portlet.annotations,javax.servlet,javax.servlet.http,javax.s
 ervlet.jsp,org.osgi.framework;version="[1.8,2)",org.osgi.util.tracker
 ;version="[1.5,2)",javax.net.ssl;resolution:=optional
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Connector to SAML 2.0
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Security
Liferay-Releng-Deprecated: false
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: false
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: false
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.saml.web.internal.application.list,com.li
 feray.saml.web.internal.auth.publicpath,com.liferay.saml.web.internal
 .constants,com.liferay.saml.web.internal.display.context,com.liferay.
 saml.web.internal.portlet,com.liferay.saml.web.internal.portlet.actio
 n,com.liferay.saml.web.internal.servlet.taglib,com.liferay.saml.web.i
 nternal.struts,com.liferay.saml.web.internal.upgrade,com.liferay.saml
 .web.internal.upgrade.v1_0_0,com.liferay.saml.web.internal.upload,com
 .liferay.saml.web.internal.util,content
Provide-Capability: liferay.resource.bundle;aggregate=saml-web;bundle.
 symbolic.name="com.liferay.saml.web";resource.bundle.aggregate="(&(bu
 ndle.symbolic.name=com.liferay.saml.web)(!(aggregate=*))),(bundle.sym
 bolic.name=com.liferay.saml.api)";resource.bundle.base.name="content.
 Language";service.ranking=0,osgi.service;objectClass:List<String>="co
 m.liferay.application.list.PanelApp";uses:="com.liferay.application.l
 ist",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kern
 el.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.li
 feray.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.
 liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResourc
 eCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.servlet.t
 aglib.DynamicInclude";uses:="com.liferay.portal.kernel.servlet.taglib
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.st
 ruts.StrutsAction";uses:="com.liferay.portal.kernel.struts",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.upgrade.registry.Upg
 radeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi
 .service;objectClass:List<String>="com.liferay.saml.web.internal.port
 let.SamlAdminPortlet,javax.portlet.Portlet";uses:="com.liferay.saml.w
 eb.internal.portlet,javax.portlet",osgi.service;objectClass:List<Stri
 ng>="com.liferay.saml.web.internal.upload.CertificateUploadFileEntryH
 andler";uses:="com.liferay.saml.web.internal.upload",osgi.service;obj
 ectClass:List<String>="com.liferay.saml.web.internal.upload.Certifica
 teUploadResponseHandler";uses:="com.liferay.saml.web.internal.upload"
 ,osgi.service;objectClass:List<String>="java.lang.Object",liferay.res
 ource.bundle;bundle.symbolic.name="com.liferay.saml.web";resource.bun
 dle.base.name="content.Language"
Require-Capability: liferay.resource.bundle;filter:="(bundle.symbolic.
 name=com.liferay.saml.api)",osgi.extender;filter:="(&(osgi.extender=j
 sp.taglib)(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",os
 gi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.
 com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.exten
 der;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/
 theme))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http
 ://liferay.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/util))",osgi.extender;filter:="(&(
 osgi.extender=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))",os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.model.Port
 let)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.util.Portal)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.saml.persistence.service.SamlIdpSpConnectio
 nLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.saml.persistence.service.SamlSpIdpConnectionLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.sa
 ml.runtime.certificate.CertificateTool)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.saml.runtime.configuration.SamlP
 roviderConfigurationHelper)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.saml.runtime.metadata.LocalEntityManager)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.saml.
 runtime.servlet.profile.SamlSpIdpConnectionsProfile)";effective:=acti
 ve;resolution:=optional,osgi.service;filter:="(objectClass=com.lifera
 y.saml.runtime.servlet.profile.SingleLogoutProfile)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.saml.runtime.servlet
 .profile.WebSsoProfile)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.saml.util.SamlHttpRequestUtil)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.saml.web.internal.up
 load.CertificateUploadFileEntryHandler)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.saml.web.internal.upload.Certifi
 cateUploadResponseHandler)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.upload.UploadHandler)";effective:=active,osgi
 .service;filter:="(objectClass=javax.servlet.ServletContext)";effecti
 ve:=active,osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.c
 ontract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=Jav
 aServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi
 .ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.saml.web.internal.application.
 list.SamlAdminPanelApp.xml,OSGI-INF/com.liferay.saml.web.internal.aut
 h.publicpath.AuthPublicPath.xml,OSGI-INF/com.liferay.saml.web.interna
 l.portlet.SamlAdminPortlet.xml,OSGI-INF/com.liferay.saml.web.internal
 .portlet.action.AdminViewMVCRenderCommand.xml,OSGI-INF/com.liferay.sa
 ml.web.internal.portlet.action.DeleteSamlIdpSpConnectionMVCActionComm
 and.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.action.DeleteS
 amlSpIdpConnectionMVCActionCommand.xml,OSGI-INF/com.liferay.saml.web.
 internal.portlet.action.DownloadCertificateMVCResourceCommand.xml,OSG
 I-INF/com.liferay.saml.web.internal.portlet.action.EditIdentityProvid
 erConnectionMVCRenderCommand.xml,OSGI-INF/com.liferay.saml.web.intern
 al.portlet.action.EditServiceProviderConnectionMVCRenderCommand.xml,O
 SGI-INF/com.liferay.saml.web.internal.portlet.action.UpdateCertificat
 eMVCActionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.
 action.UpdateCertificateMVCRenderCommand.xml,OSGI-INF/com.liferay.sam
 l.web.internal.portlet.action.UpdateCertificateMVCResourceCommand.xml
 ,OSGI-INF/com.liferay.saml.web.internal.portlet.action.UpdateGeneralM
 VCActionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.ac
 tion.UpdateIdentityProviderConnectionMVCActionCommand.xml,OSGI-INF/co
 m.liferay.saml.web.internal.portlet.action.UpdateIdentityProviderMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.actio
 n.UpdateServiceProviderConnectionMVCActionCommand.xml,OSGI-INF/com.li
 feray.saml.web.internal.portlet.action.UpdateServiceProviderMVCAction
 Command.xml,OSGI-INF/com.liferay.saml.web.internal.servlet.taglib.Sam
 lBottomJSPDynamicInclude.xml,OSGI-INF/com.liferay.saml.web.internal.s
 truts.AssertionConsumerServiceAction.xml,OSGI-INF/com.liferay.saml.we
 b.internal.struts.AuthRedirectAction.xml,OSGI-INF/com.liferay.saml.we
 b.internal.struts.MetadataAction.xml,OSGI-INF/com.liferay.saml.web.in
 ternal.struts.SamlLoginAction.xml,OSGI-INF/com.liferay.saml.web.inter
 nal.struts.SingleLogoutAction.xml,OSGI-INF/com.liferay.saml.web.inter
 nal.struts.WebSsoAction.xml,OSGI-INF/com.liferay.saml.web.internal.up
 grade.SamlWebUpgrade.xml,OSGI-INF/com.liferay.saml.web.internal.uploa
 d.CertificateUploadFileEntryHandler.xml,OSGI-INF/com.liferay.saml.web
 .internal.upload.CertificateUploadResponseHandler.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /saml-web

